package org.nl.acs.device_driver.tianneng.baoshijian;

import org.nl.acs.device.device_driver.standard_inspect.ItemDto;
import org.nl.acs.device.domain.Device;
import org.nl.acs.device.enums.DeviceType;
import org.nl.acs.device_driver.DeviceDriver;
import org.nl.acs.device_driver.defination.OpcDeviceDriverDefination;
import org.springframework.stereotype.Service;

import java.util.LinkedList;
import java.util.List;

/**
 * 保湿间驱动
 * 说明：该站点为保湿间驱动
 */
@Service
public class BaoshijianDefination implements OpcDeviceDriverDefination {
    @Override
    public String getDriverCode() {
        return "baoshijian_site";
    }

    @Override
    public String getDriverName() {
        return "保湿间";
    }

    @Override
    public String getDriverDescription() {
        return "保湿间";
    }

    @Override
    public DeviceDriver getDriverInstance(Device device) {
        return (new BaoshijianSiteDeviceDriver()).setDevice(device).setDriverDefination(this);

    }

    @Override
    public Class<? extends DeviceDriver> getDeviceDriverType() {
        return BaoshijianSiteDeviceDriver.class;
    }

    @Override
    public List<DeviceType> getFitDeviceTypes() {
        List<DeviceType> types = new LinkedList();
        types.add(DeviceType.conveyor);
        return types;
        //保湿间
    }

    @Override
    public List<ItemDto> getReadableItemDtos() {
        return ItemProtocol.getReadableItemDtos();
    }

    @Override
    public List<ItemDto> getWriteableItemDtos() {
        return ItemProtocol.getWriteableItemDtos();
    }

}
